Package com.massivecraft.factions.zcore.persist.json

## Class JSONFaction

- java.lang.Object
- - com.massivecraft.factions.zcore.persist.MemoryFaction
  - - com.massivecraft.factions.zcore.persist.json.JSONFaction

All Implemented Interfaces:
  `Faction`, `EconomyParticipator`, `RelationParticipator`

    public class JSONFaction
    extends MemoryFaction

### Field Summary

### Fields inherited from class com.massivecraft.factions.zcore.persist.MemoryFaction

`altinvites, alts, announcements, bans, checkpoint, claimOwnership, defaultRole, description, discord, foundedDate, fplayers, home, id, invites, lastPlayerLoggedOffTime, maxVaults, money, open, paypal, peaceful, peacefulExplosionsEnabled, permanent, permanentPower, permissions, player, powerBoost, relationWish, rules, tag, tnt, upgrades, vault, warpPasswords, warps`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`JSONFaction()` |
`JSONFaction​(MemoryFaction arg0)` |
`JSONFaction​(java.lang.String id)` |

### Method Summary

### Methods inherited from class com.massivecraft.factions.zcore.persist.MemoryFaction

`addAltPlayer, addAnnouncement, addFPlayer, addRule, addTnt, altInvite, altInvited, ban, checkPerms, clearAllClaimOwnership, clearClaimOwnership, clearClaimOwnership, clearRules, clearWarps, confirmValidHome, deinvite, deinviteAllAlts, deinviteAlt, describeTo, describeTo, disband, disband, doesLocationHaveOwnersSet, getAccess, getAccess, getAccountId, getAllClaims, getAltInvites, getAltPlayers, getAnnouncements, getBannedPlayers, getBanner, getBufferCheckMinutes, getBufferNotifyChannelId, getCheckpoint, getChecks, getChestInventory, getClaimOwnership, getColorTo, getComparisonTag, getCompletedMissions, getCountOfClaimsWithOwners, getDeaths, getDefaultRole, getDescription, getDiscord, getFactionChatChannelId, getFocused, getFoundedDate, getFPlayerAdmin, getFPlayerLeader, getFPlayers, getFPlayersWhereOnline, getFPlayersWhereOnline, getFPlayersWhereRole, getGuildId, getHome, getId, getInvites, getKills, getLandRounded, getLandRoundedInWorld, getLastDeath, getMaxVaults, getMemberRoleId, getMissions, getNotifyFormat, getOnlinePlayers, getOpen, getOwnerList, getOwnerListString, getPaypal, getPeacefulExplosionsEnabled, getPermanentPower, getPermissions, getPlayerBufferCheckCount, getPlayerWallCheckCount, getPoints, getPower, getPowerBoost, getPowerMax, getPowerMaxRounded, getPowerRounded, getReinforcedArmor, getRelationCount, getRelationTo, getRelationTo, getRelationWish, getRule, getRulesMap, getSize, getStrikes, getTag, getTag, getTag, getTag, getTnt, getTntBankLimit, getUpgrade, getVault, getWallCheckMinutes, getWallNotifyChannelId, getWarp, getWarps, getWarpsLimit, getWeeWooChannelId, getWeeWooFormat, hasHome, hasLandInflation, hasPermanentPower, hasPlayersOnline, hasWarpPassword, invite, isBanned, isInvited, isNone, isNormal, isPeaceful, isPermanent, isPlayerFreeType, isPlayerInOwnerList, isPowerFrozen, isSafeZone, isSystemFaction, isWarp, isWarpPassword, isWarZone, isWeeWoo, isWilderness, memberLoggedOff, msg, msg, noExplosionsInTerritory, noMonstersInTerritory, noPvPInTerritory, paypalSet, playerHasOwnershipRights, promoteNewLeader, promoteNewLeader, refreshFPlayers, remove, removeAltPlayer, removeAnnouncements, removeFPlayer, removePlayerAsOwner, removeRule, removeWarp, resetPerms, sendMessage, sendMessage, sendUnreadAnnouncements, setBannerPattern, setBufferCheckMinutes, setBufferNotifyChannelId, setCheckpoint, setChestSize, setDefaultPerms, setDefaultRole, setDescription, setDiscord, setFactionChatChannelId, setFocused, setFoundedDate, setGuildId, setHome, setId, setLastDeath, setMaxVaults, setMemberRoleId, setNotifyFormat, setOpen, setPeaceful, setPeacefulExplosionsEnabled, setPermanent, setPermanentPower, setPermission, setPlayerAsOwner, setPoints, setPowerBoost, setReinforcedArmor, setRelationWish, setRule, setStrikes, setTag, setTntBankLimit, setUpgrade, setVault, setWallCheckMinutes, setWallNotifyChannelId, setWarp, setWarpPassword, setWarpsLimit, setWeeWoo, setWeeWooChannelId, setWeeWooFormat, takeTnt, unban`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONFaction

    public JSONFaction​(MemoryFaction arg0)

#### JSONFaction

    public JSONFaction()

#### JSONFaction

    public JSONFaction​(java.lang.String id)